;;; ---"Angle" command by Stig B. Madsen---
;;; ---Utility to measure an angle and report it to screen.
;;; ---It prompts the user for the three points needed.
;;;    ANA alteration: units set to degrees with 4 decimal places
(defun c:ANGLE (/ fp np lp ang)
  (setq fp (getpoint "Vertex: ")
        np (getpoint fp "First leg: ")
        lp (getpoint fp "Second leg: ")
        ang (- (angle fp lp)(angle fp np))
  )
  (princ (strcat "\nAngle = " (angtos ang 0 4)))
  (princ)
)